Bug 155225 - crash on window.close() when using multiple tabs
Summary: crash on window.close() when using multiple tabs
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml (show other bugs)
Version: 4.0
Platform: unspecified Linux
: NOR major (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
: 155351 155778 155779 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-01-07 15:19 UTC by Edwin Schepers
Modified: 2008-01-17 01:33 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edwin Schepers 2008-01-07 15:19:49 UTC
Version:           4.00.80 (KDE 4.0.80 >= 20080104) (using KDE 4.00.80 (KDE 4.0.80 >= 20080104), compiled sources)
Compiler:          gcc
OS:                Linux (x86_64) release 2.6.22-5-default

Hi,
When having multiple tabs, konqueror will crash on a 
<a href="javascript:window.close();">Close</a>
Comment 1 Oliver Putz 2008-01-08 14:21:22 UTC
Hm, looks like a resurrection of Bug 153533. 

Backtrace and gdb output below (using KDE 4.0.80 >= 20080104 with Gentoo)

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0xb63f7a10 (LWP 22604)]
[KCrash handler]
#6  0xb7e37837 in KParts::ReadOnlyPart::d_func (this=0xbf92be14)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kparts/part.h:468
#7  0xb7eda276 in KonqView::updateHistoryEntry (this=0x9384a48, 
    saveLocationBarURL=true)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqview.cpp:744
#8  0xb7eda855 in KonqView::saveConfig (this=0x9384a48, config=@0x847f914, 
    prefix=@0xbf92c000, options=@0xbf92bffc)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqview.cpp:1373
#9  0xb7eefff5 in KonqFrame::saveConfig (this=0x8052208, config=@0x847f914, 
    prefix=@0xbf92c000, options=@0xbf92bffc, docContainer=0x0)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqframe.cpp:80
#10 0xb7f12227 in KonqMainWindow::slotAddClosedUrl (this=0x80ed498, 
    tab=0x805221c)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqmainwindow.cpp:5306
#11 0xb7f30cc1 in KonqMainWindow::qt_metacall (this=0x80ed498, 
    _c=QMetaObject::InvokeMetaMethod, _id=84, _a=0xbf92c5cc)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase_build/apps/konqueror/src/konqmainwindow.moc:345
#12 0xb7305124 in QMetaObject::activate (sender=0x80ed018, 
    from_signal_index=10, to_signal_index=10, argv=<value optimized out>)
    at kernel/qobject.cpp:3083
#13 0xb7305cc4 in QMetaObject::activate (sender=0x80ed018, m=0xb7f6ab48, 
    local_signal_index=0, argv=0xbf92c5cc) at kernel/qobject.cpp:3142
#14 0xb7ee2cc1 in KonqViewManager::aboutToRemoveTab (this=0x80ed018, 
    _t1=0x805221c)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase_build/apps/konqueror/src/konqviewmanager.moc:100
#15 0xb7ee830b in KonqViewManager::removeTab (this=0x80ed018, 
    currentFrame=0x805221c)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqviewmanager.cpp:350
#16 0xb7ee898f in KonqViewManager::removeView (this=0x80ed018, view=0x9384a48)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqviewmanager.cpp:529
#17 0xb7ee9112 in KonqViewManager::removePart (this=0x80ed018, part=0x9384e10)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqviewmanager.cpp:571
#18 0xb7e36a4c in ~Part (this=0x9384e10, __vtt_parm=0xb4d8cda8)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kparts/part.cpp:204
#19 0xb7e36cfc in ~ReadOnlyPart (this=0x9384e10, __vtt_parm=0xb4d8cda4)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kparts/part.cpp:455
#20 0xb4a2e984 in ~KHTMLPart (this=0x9384e10)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/khtml/khtml_part.cpp:527
#21 0xb7302f07 in QObject::event (this=0x9384e10, e=0x0)
    at kernel/qobject.cpp:1107
#22 0xb69990ca in QApplicationPrivate::notify_helper (this=0x8058750, 
    receiver=0x9384e10, e=0x9555cc8) at kernel/qapplication.cpp:3558
#23 0xb699a9ba in QApplication::notify (this=0xbf92d258, receiver=0x9384e10, 
    e=0x9555cc8) at kernel/qapplication.cpp:3117
#24 0xb78bc783 in KApplication::notify (this=0xbf92d258, receiver=0x9384e10, 
    event=0x9555cc8)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kapplication.cpp:314
#25 0xb72f1cab in QCoreApplication::notifyInternal (this=0xbf92d258, 
    receiver=0x9384e10, event=0x9555cc8) at kernel/qcoreapplication.cpp:532
#26 0xb72f314a in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, 
    event_type=0, data=0x804ce50) at kernel/qcoreapplication.h:202
#27 0xb731b835 in QEventDispatcherUNIX::processEvents (this=0x8058a50, 
    flags=@0xbf92cf38) at kernel/qeventdispatcher_unix.cpp:860
#28 0xb6a22f7e in QEventDispatcherX11::processEvents (this=0x8058a50, 
    flags=@0xbf92cf64) at kernel/qeventdispatcher_x11.cpp:147
#29 0xb72f10c1 in QEventLoop::processEvents (this=0xbf92cfd0, 
    flags=@0xbf92cf98) at kernel/qeventloop.cpp:142
#30 0xb72f11ca in QEventLoop::exec (this=0xbf92cfd0, flags=@0xbf92cfd8)
    at kernel/qeventloop.cpp:188
#31 0xb72f3556 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:761
#32 0xb69986c7 in QApplication::exec () at kernel/qapplication.cpp:3055
#33 0xb7f59787 in kdemain (argc=3, argv=0xbf92d5d4)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqmain.cpp:218
#34 0x080487e2 in main (argc=)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase_build/apps/konqueror/src/konqueror_dummy.cpp:3
#35 0xb6605fdc in __libc_start_main (main=0x80487c0 <main>, argc=3, 
    ubp_av=0xbf92d5d4, init=0x8048810 <__libc_csu_init>, 
    fini=0x8048800 <__libc_csu_fini>, rtld_fini=0xb7f7e100 <_dl_fini>, 
    stack_end=0xbf92d5cc) at libc-start.c:229
#36 0x08048731 in _start ()
#0  0xffffe410 in __kernel_vsyscall ()


[...]
Date: Tue, 08 Jan 2008 13:18:41 GMT"))
konqueror(23225)/khtml (tokenizer) khtml::HTMLTokenizer::notifyFinished: Finished loading an external script
konqueror(23225)/khtml (part) KHTMLPart::slotChildCompleted: KHTMLPart(0x8944328, name = "previewwindow")  slotChildCompleted child= khtml::ChildFrame(0x840a058, name = "khtml_child_frame")  m_frame= khtml::RenderPartObject(0x8a5f524)
konqueror(23225) KonqMainWindow::setLocationBarURL: KonqMainWindow::setLocationBarURL: url =  "http://kde-apps.org/content/preview.php?preview=1&id=43071&file1=43071-1.jpg&file2=43071-2.jpg&file3=43071-3.jpg&name=Zhu3D"
konqueror(23225)/kparts KParts::PartManager::setActivePart: KonqViewManager(0x80f00b8)  emitting activePartChanged  KHTMLPart(0x8944328, name = "previewwindow")
konqueror(23225) KonqViewManager::setActivePart: Part is already active!
konqueror(23225) KonqMainWindow::slotPartActivated: KonqMainWindow::slotPartActivated  KHTMLPart(0x8944328, name = "previewwindow")   "khtml"
konqueror(23225) KonqMainWindow::slotPartActivated: KonqMainWindow::slotPartActivated: New current view  KonqView(0x8943f50)
konqueror(23225)/kparts KParts::MainWindow::createGUI: MainWindow::createGUI, part= KHTMLPart(0x8944328, name = "previewwindow")   KHTMLPart   "previewwindow"
konqueror(23225)/kparts KParts::MainWindow::createGUI: deactivating GUI for  KHTMLPart(0x837d818)   KHTMLPart   ""
konqueror(23225)/kdeui (KXmlGui) KXMLGUIFactory::removeClient: KXMLGUIFactory::removeClient(  0x837d82c  )
konqueror(23225)/kdeui (KXmlGui) KXMLGUIFactory::removeClient: KXMLGUIFactory::removeClient(  0x837f18c  )
konqueror(23225)/kdeui (KXmlGui) KXMLGUIFactory::removeClient: KXMLGUIFactory::removeServant, calling removeRecursive
konqueror(23225)/kdeui (KXmlGui) KXMLGUIFactory::removeClient: KXMLGUIFactory::removeServant, calling removeRecursive
konqueror(23225)/kdeui (KXmlGui) KXMLGUIFactory::addClient: KXMLGUIFactory::addClient(  0x894433c  )
konqueror(23225)/kdeui (KXmlGui) KXMLGUIFactory::addClient: KXMLGUIFactory::addClient(  0x894ae04  )
konqueror(23225) KonqMainWindow::setLocationBarURL: KonqMainWindow::setLocationBarURL: url =  "http://kde-apps.org/content/preview.php?preview=1&id=43071&file1=43071-1.jpg&file2=43071-2.jpg&file3=43071-3.jpg&name=Zhu3D"
konqueror(23225)/khtml (part) KHTMLPart::saveState: "" saveState this= KHTMLPart(0x8944328, name = "previewwindow")  ' "previewwindow" ' saving URL  "http://kde-apps.org/content/preview.php?preview=1&id=43071&file1=43071-1.jpg&file2=43071-2.jpg&file3=43071-3.jpg&name=Zhu3D"
konqueror(23225)/khtml (part) KHTMLPart::saveState: "    " saveState this= KHTMLPart(0x8adcbd8, name = "google_ads_frame")  ' "google_ads_frame" ' saving URL  "http://pagead2.googlesyndication.com/pagead/ads?client=ca-pub-1150932386931372&dt=1199798326151&format=468x60_as&output=html&correlator=1199798326146&url=http%3A%2F%2Fkde-apps.org%2Fcontent%2Fpreview.php%3Fpreview%3D1%26id%3D43071%26file1%3D43071-1.jpg%26file2%3D43071-2.jpg%26file3%3D43071-3.jpg%26name%3DZhu3D&color_bg=FFFFFF&color_text=333333&color_link=000000&color_url=666666&color_border=888888&ad_type=text_image&cc=5860&ga_vid=949994709.1199798326&ga_sid=1199798326&ga_hid=1272370615&flash=0&u_h=768&u_w=1024&u_ah=712&u_aw=1024&u_cd=24&u_tz=-300&u_his=2&u_nplug=1&u_nmime=2"
konqueror(23225)/khtml (part) KHTMLPart::saveState: "    " saveState this= KHTMLPart(0x8a48408, name = "<!--frame 1-->")  ' "<!--frame 1-->" ' saving URL  "http://pagead2.googlesyndication.com/pagead/ads?client=ca-pub-1150932386931372&dt=1199798326369&prev_fmts=468x60_as&format=336x280_as&output=html&correlator=1199798326368&channel=3609345684&url=http%3A%2F%2Fkde-apps.org%2Fcontent%2Fpreview.php%3Fpreview%3D1%26id%3D43071%26file1%3D43071-1.jpg%26file2%3D43071-2.jpg%26file3%3D43071-3.jpg%26name%3DZhu3D&ad_type=text_image&cc=153&ga_vid=949994709.1199798326&ga_sid=1199798326&ga_hid=1272370615&flash=0&u_h=768&u_w=1024&u_ah=712&u_aw=1024&u_cd=24&u_tz=-300&u_his=2&u_nplug=1&u_nmime=2"
konqueror(23225) KonqHistoryManager::addToHistory: ## addToHistory:  "http://kde-apps.org/content/preview.php?preview=1&id=43071&file1=43071-1.jpg&file2=43071-2.jpg&file3=43071-3.jpg&name=Zhu3D"  Typed URL:  "" , Title:  "Preview Zhu3D"
konqueror(23225) KonqHistoryManager::slotNotifyHistoryEntry: Got new entry from Broadcast:  "http://kde-apps.org/content/preview.php?preview=1&id=43071&file1=43071-1.jpg&file2=43071-2.jpg&file3=43071-3.jpg&name=Zhu3D"
konqueror(23225)/khtml (jscript) KJS::Window::scheduleClose: Window::scheduleClose window.close()  khtml::ChildFrame(0x8a5ceb0, name = "khtml_child_frame")
QPixmap: Invalid pixmap parameters
QPixmap: Invalid pixmap parameters
QPixmap: Invalid pixmap parameters
konqueror(23225)/khtml (part) KHTMLPart::~KHTMLPart: KHTMLPart(0x8944328)
konqueror(23225)/kparts KParts::PartManager::setActivePart: KParts::PartManager(0x8a4b5f0, name = "khtml part manager")  emitting activePartChanged  QObject(0x0)
konqueror(23225)/khtml (part) KHTMLPart::~KHTMLPart: KHTMLPart(0x8adcbd8, name = "google_ads_frame")
konqueror(23225)/kparts KParts::PartManager::setActivePart: KParts::PartManager(0x8b62b48, name = "khtml part manager")  emitting activePartChanged  QObject(0x0)
konqueror(23225)/kparts KParts::Part::~Part: deleting widget  KHTMLView(0x8589358)   ""
konqueror(23225)/khtml (part) KHTMLPart::~KHTMLPart: KHTMLPart(0x8a48408, name = "<!--frame 1-->")
konqueror(23225)/kparts KParts::PartManager::setActivePart: KParts::PartManager(0x867c008, name = "khtml part manager")  emitting activePartChanged  QObject(0x0)
konqueror(23225)/kparts KParts::Part::~Part: deleting widget  KHTMLView(0x84757e8)   ""
konqueror(23225) KonqViewManager::removePart: KonqViewManager::removePart (  KParts::Part(0x8944328)  )
konqueror(23225) KonqMainWindow::setLocationBarURL: KonqMainWindow::setLocationBarURL: url =  "http://kde-apps.org/content/preview.php?preview=1&id=43071&file1=43071-1.jpg&file2=43071-2.jpg&file3=43071-3.jpg&name=Zhu3D"
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
X Error: RenderBadPicture (invalid Picture parameter) 178
  Extension:    155 (RENDER)
  Minor opcode: 8 (RenderComposite)
  Resource id:  0x0
konqueror(23225)/kparts KParts::PartManager::setActivePart: KonqViewManager(0x80f00b8)  emitting activePartChanged  QObject(0x0)
konqueror(23225) KonqViewManager::removePart: Found a child view
konqueror(23225) KonqViewManager::removeView: view= KonqView(0x8943f50)  frame= KonqFrame(0x89047b8)  parentContainer= 0x81bd760
konqueror(23225) KonqViewManager::removeView: parentContainer  0x81bd760  is a KonqFrameTabs
konqueror(23225) KonqMainWindow::slotAddClosedUrl:
konqueror(23225) KonqClosedTabItem::KonqClosedTabItem: "Closed_Tab145016576"

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb63bba10 (LWP 23225)]
0xb7dfb837 in KParts::ReadOnlyPart::d_func (this=0xbfa45794)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kparts/part.h:468
468     /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kparts/part.h: No such file or directory.
        in /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kparts/part.h
(gdb) bt
#0  0xb7dfb837 in KParts::ReadOnlyPart::d_func (this=0xbfa45794)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kparts/part.h:468
#1  0xb7e9e276 in KonqView::updateHistoryEntry (this=0x8943f50, saveLocationBarURL=true)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqview.cpp:744
#2  0xb7e9e855 in KonqView::saveConfig (this=0x8943f50, config=@0x8a4c70c, prefix=@0xbfa45980, options=@0xbfa4597c)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqview.cpp:1373
#3  0xb7eb3ff5 in KonqFrame::saveConfig (this=0x89047b8, config=@0x8a4c70c, prefix=@0xbfa45980, options=@0xbfa4597c,
    docContainer=0x0) at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqframe.cpp:80
#4  0xb7ed6227 in KonqMainWindow::slotAddClosedUrl (this=0x80ecf18, tab=0x89047cc)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqmainwindow.cpp:5306
#5  0xb7ef4cc1 in KonqMainWindow::qt_metacall (this=0x80ecf18, _c=QMetaObject::InvokeMetaMethod, _id=84, _a=0xbfa45f4c)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase_build/apps/konqueror/src/konqmainwindow.moc:345
#6  0xb72c9124 in QMetaObject::activate (sender=0x80f00b8, from_signal_index=10, to_signal_index=10,
    argv=<value optimized out>) at kernel/qobject.cpp:3083
#7  0xb72c9cc4 in QMetaObject::activate (sender=0x80f00b8, m=0xb7f2eb48, local_signal_index=0, argv=0xbfa45f4c)
    at kernel/qobject.cpp:3142
#8  0xb7ea6cc1 in KonqViewManager::aboutToRemoveTab (this=0x80f00b8, _t1=0x89047cc)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase_build/apps/konqueror/src/konqviewmanager.moc:100
#9  0xb7eac30b in KonqViewManager::removeTab (this=0x80f00b8, currentFrame=0x89047cc)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqviewmanager.cpp:350
#10 0xb7eac98f in KonqViewManager::removeView (this=0x80f00b8, view=0x8943f50)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqviewmanager.cpp:529
#11 0xb7ead112 in KonqViewManager::removePart (this=0x80f00b8, part=0x8944328)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqviewmanager.cpp:571
#12 0xb7dfaa4c in ~Part (this=0x8944328, __vtt_parm=0xb4c23da8)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kparts/part.cpp:204
#13 0xb7dfacfc in ~ReadOnlyPart (this=0x8944328, __vtt_parm=0xb4c23da4)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kparts/part.cpp:455
#14 0xb48c5984 in ~KHTMLPart (this=0x8944328)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/khtml/khtml_part.cpp:527
#15 0xb72c6f07 in QObject::event (this=0x8944328, e=0x0) at kernel/qobject.cpp:1107
---Type <return> to continue, or q <return> to quit---
#16 0xb695d0ca in QApplicationPrivate::notify_helper (this=0x80586f8, receiver=0x8944328, e=0x8b15a30)
    at kernel/qapplication.cpp:3558
#17 0xb695e9ba in QApplication::notify (this=0xbfa46bd8, receiver=0x8944328, e=0x8b15a30) at kernel/qapplication.cpp:3117
#18 0xb7880783 in KApplication::notify (this=0xbfa46bd8, receiver=0x8944328, event=0x8b15a30)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kapplication.cpp:314
#19 0xb72b5cab in QCoreApplication::notifyInternal (this=0xbfa46bd8, receiver=0x8944328, event=0x8b15a30)
    at kernel/qcoreapplication.cpp:532
#20 0xb72b714a in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x804ce50)
    at kernel/qcoreapplication.h:202
#21 0xb72df835 in QEventDispatcherUNIX::processEvents (this=0x8057e78, flags=@0xbfa468b8)
    at kernel/qeventdispatcher_unix.cpp:860
#22 0xb69e6f7e in QEventDispatcherX11::processEvents (this=0x8057e78, flags=@0xbfa468e4)
    at kernel/qeventdispatcher_x11.cpp:147
#23 0xb72b50c1 in QEventLoop::processEvents (this=0xbfa46950, flags=@0xbfa46918) at kernel/qeventloop.cpp:142
#24 0xb72b51ca in QEventLoop::exec (this=0xbfa46950, flags=@0xbfa46958) at kernel/qeventloop.cpp:188
#25 0xb72b7556 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:761
#26 0xb695c6c7 in QApplication::exec () at kernel/qapplication.cpp:3055
#27 0xb7f1d787 in kdemain (argc=1, argv=0xbfa46f54)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/apps/konqueror/src/konqmain.cpp:218
#28 0x080487e2 in main (argc=Cannot access memory at address 0x0
)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase_build/apps/konqueror/src/konqueror_dummy.cpp:3
#29 0xb65c9fdc in __libc_start_main (main=0x80487c0 <main>, argc=1, ubp_av=0xbfa46f54, init=0x8048810 <__libc_csu_init>,
    fini=0x8048800 <__libc_csu_fini>, rtld_fini=0xb7f42100 <_dl_fini>, stack_end=0xbfa46f4c) at libc-start.c:229
#30 0x08048731 in _start ()
Comment 2 Maksim Orlovich 2008-01-09 20:24:55 UTC
*** Bug 155351 has been marked as a duplicate of this bug. ***
Comment 3 Maksim Orlovich 2008-01-14 21:20:59 UTC
*** Bug 155778 has been marked as a duplicate of this bug. ***
Comment 4 Maksim Orlovich 2008-01-14 21:21:21 UTC
*** Bug 155779 has been marked as a duplicate of this bug. ***
Comment 5 David Faure 2008-01-17 01:33:49 UTC
SVN commit 762431 by dfaure:

Fix crash when a tab commits suicide; the real question (for tomorrow) is, why didn't the unit test catch this...
BUG: 155225


 M  +2 -1      konqview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=762431